From 3de66036e48d55491cccbc1baa8a6d29d2b1e38b Mon Sep 17 00:00:00 2001
From: Upgrade Helper <auh@yoctoproject.org>
Date: Sat, 15 Feb 2025 07:30:07 +0000
Subject: [PATCH] python3-babel: upgrade 2.16.0 -> 2.17.0

---
 ...abel_2.16.0.bb => python3-babel_2.17.0.bb} | 23 +++++++++++++++++--
 1 file changed, 21 insertions(+), 2 deletions(-)
 rename meta/recipes-devtools/python/{python3-babel_2.16.0.bb => python3-babel_2.17.0.bb} (35%)

diff --git a/meta/recipes-devtools/python/python3-babel_2.16.0.bb b/meta/recipes-devtools/python/python3-babel_2.17.0.bb
similarity index 35%
rename from meta/recipes-devtools/python/python3-babel_2.16.0.bb
rename to meta/recipes-devtools/python/python3-babel_2.17.0.bb
index 929d7e9983..1983edbb0c 100644
--- a/meta/recipes-devtools/python/python3-babel_2.16.0.bb
+++ b/meta/recipes-devtools/python/python3-babel_2.17.0.bb
@@ -1,9 +1,28 @@
+# FIXME: the LIC_FILES_CHKSUM values have been updated by 'devtool upgrade'.
+# The following is the difference between the old and the new license text.
+# Please update the LICENSE value if needed, and summarize the changes in
+# the commit message via 'License-Update:' tag.
+# (example: 'License-Update: copyright years updated.')
+#
+# The changes:
+#
+# --- LICENSE
+# +++ LICENSE
+# @@ -1,4 +1,4 @@
+# -Copyright (c) 2013-2024 by the Babel Team, see AUTHORS for more information.
+# +Copyright (c) 2013-2025 by the Babel Team, see AUTHORS for more information.
+#  
+#  Redistribution and use in source and binary forms, with or without
+#  modification, are permitted provided that the following conditions
+# 
+#
+
 SUMMARY = "A collection of tools for internationalizing Python applications"
 HOMEPAGE = "http://babel.edgewall.org/"
 LICENSE = "BSD-3-Clause"
-LIC_FILES_CHKSUM = "file://LICENSE;md5=e7ebed8cd9f4ff11f547e3afd024a28c"
+LIC_FILES_CHKSUM = "file://LICENSE;md5=e83509a66c69efcb4f3a7d4f27fd0693"
 
-SRC_URI[sha256sum] = "d1f3554ca26605fe173f3de0c65f750f5a42f924499bf134de6423582298e316"
+SRC_URI[sha256sum] = "0c54cffb19f690cdcc52a3b50bcbf71e07a808d1c80d549f2459b9d2cf0afb9d"
 
 inherit pypi setuptools3
 
-- 
2.44.1

